Bug 188722 - Make resource visible under server node in services view
Make resource visible under server node in services view
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: WebLogic
7.0
PC All
: P3 (vote)
: TBD
Assigned To: Denis Anisimov
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 07:43 UTC by Petr Hejl
Modified: 2010-08-12 07:15 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2010-07-16 07:43:04 UTC
For better UI experience resources deployed to server should be visible under server node.

When server is running the user can see deployed applications under server node. This should be enhanced to display also resources deployed to server. Specifically it should display deployed JDBC resources and server libraries as both are supported by the IDE. The UI presentation should be similar to GF.
Comment 1 Denis Anisimov 2010-07-27 18:08:39 UTC
JDBC resources node is added ( without Actions for now ).

changeset:   174879:fa672fb72ee3
tag:         tip
user:        Denis Anisimov <ads@netbeans.org>
date:        Tue Jul 27 22:05:50 2010 +0400
summary:     First draft fir BZ#188722 - "Make resource visible under server node in services view" fix.
Comment 2 Quality Engineering 2010-07-28 03:11:22 UTC
Integrated into 'main-golden', will be available in build *201007280001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/fa672fb72ee3
User: Denis Anisimov <ads@netbeans.org>
Log: First draft fir BZ#188722 - "Make resource visible under server node in services view" fix.
Comment 3 Petr Hejl 2010-07-28 16:09:58 UTC
Hi Denis,
I went quickly through the code and I have couple of notes.

- please use the code conventions used in WL plugin (http://www.oracle.com/technetwork/java/codeconv-138413.html). Even in the single file newly created by you you use multiple conventions.

- you duplicate the classloader handling and caching in JDBCRetriever. This means we will have two classloaders (unnecessary big amount of memory occupied) for single WL instance. I would suggest to make WLDeploymentManager.executeAction() public or I can add similar method that will not instantiate the DeploymentManager as you don't need it. This would have two benefits - single classloader per instance and one place where the classloader/context classloader magic happens.

- do not use Hashtable unless there is real need of synchronization on every access to it - NetBeans IDE shows warning when using obsolete collections such as Hashtable or Vector

Thanks,
P.

Let me know if I should prepare something like WLDeploymentManager.executeAction(JmxAction<T> action) for you.
Comment 4 Denis Anisimov 2010-07-28 16:59:22 UTC
Please note that this is just first DRAFT.
I will work on source code during resource nodes implementation.

I know about usage of Hashtables. This code was originally copied from JMX access
sample . I haven't reviewed deeply.
Thanks for the point.

I agree about classloader . It was also quick decision. 
I will rework and refactor existing source code during resource nodes realization.

The commit has been done as result of desire to preserve source code.
Comment 5 Petr Hejl 2010-07-29 09:36:11 UTC
Fixed ClassLoader: http://hg.netbeans.org/web-main/rev/452daa9e4275
Comment 6 Petr Hejl 2010-07-29 09:39:05 UTC
Hi Denis,
one more thing. Could you please refactor JDBCSometing to JdbcSomething? When acronyms longer than 3 chars are used for names the camelcase is gone :)

Thanks,
P.
Comment 7 Denis Anisimov 2010-08-02 09:57:11 UTC
changeset:   175019:faafe0eeb56a
user:        Denis Anisimov <ads@netbeans.org>
date:        Mon Aug 02 13:53:24 2010 +0400
summary:     Added unregister action for JDBC resource nodes.
Comment 8 Denis Anisimov 2010-08-03 17:16:08 UTC
Added connector nodes.
changeset:   175136:f2b2ee207704
user:        Denis Anisimov <ads@netbeans.org>
date:        Tue Aug 03 21:12:14 2010 +0400
summary:     First draft for Connector resources nodes of WL server.
Comment 9 Denis Anisimov 2010-08-04 18:19:14 UTC
changeset:   175142:7b8a540921d2
user:        Denis Anisimov <ads@netbeans.org>
date:        Wed Aug 04 21:22:42 2010 +0400
summary:     Added JavaMail resource node.
Comment 10 Denis Anisimov 2010-08-05 16:45:52 UTC
changeset:   175155:8cea3abf8ad9
user:        Denis Anisimov <ads@netbeans.org>
date:        Thu Aug 05 20:31:22 2010 +0400
summary:     Library resource nodes are added.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo